"""Autogenerated API schema"""
from argus_api import session


add_mitre_category = {'tags': ['alarms/v1'], 'summary': 'Adds a new MITRE category (DEV)', 'description': '', 'operationId': 'addMitreCategory', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'in': 'body', 'name': 'body', 'description': 'Add MITRE category request', 'required': False, 'schema': {'type': 'object', 'required': ['externalId', 'model', 'name', 'shortName', 'type', 'url', 'version'], 'properties': {'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}, 'type': {'type': 'str', 'position': 0, 'description': 'Enumerated type of the MITRE category ', 'enum': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool']}, 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category ', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page  => ((https?|ftp|gopher|telnet|file):((/)|(\\\\))+[\\w\\d:\\#@%/;$()~_?\\\\+-=\\\\\\.&]*)'}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category ', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page '}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in ', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories '}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'type': 'str', 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['subtechniqueOf', 'revokedBy']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '412': {'description': 'Validation error'}}}
delete_mitre_category = {'tags': ['alarms/v1'], 'summary': 'Deletes an existing MITRE category (DEV)', 'description': '', 'operationId': 'deleteMitreCategory', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtIdOrShortName', 'in': 'path', 'description': 'ID, ExtID or short name of MITRE category', 'required': True, 'type': 'str'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category ', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page '}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in ', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories '}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'type': 'str', 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['subtechniqueOf', 'revokedBy']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
get_mitre_category = {'tags': ['alarms/v1'], 'summary': 'Gets an existing MITRE category (DEV)', 'description': '', 'operationId': 'getMitreCategory', 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtIdOrShortName', 'in': 'path', 'description': 'ID, ExtID or short name of MITRE category', 'required': True, 'type': 'str'}, {'name': 'includeRelationships', 'in': 'query', 'description': 'To include MITRE category relationships or not (not included by default)', 'required': False, 'type': 'bool'}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category ', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page '}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in ', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories '}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'type': 'str', 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['subtechniqueOf', 'revokedBy']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}
update_mitre_category = {'tags': ['alarms/v1'], 'summary': 'Updates an existing MITRE category (DEV)', 'description': '', 'operationId': 'updateMitreCategory', 'consumes': ['application/json'], 'produces': ['application/json'], 'parameters': [{'name': 'idOrExtIdOrShortName', 'in': 'path', 'description': 'ID, ExtID or short name of MITRE category', 'required': True, 'type': 'str'}, {'in': 'body', 'name': 'body', 'description': 'Update MITRE category request', 'required': False, 'schema': {'type': 'object', 'properties': {'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'type': {'type': 'str', 'position': 0, 'description': 'Enumerated type of the MITRE category ', 'enum': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool']}, 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category ', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page  => ((https?|ftp|gopher|telnet|file):((/)|(\\\\))+[\\w\\d:\\#@%/;$()~_?\\\\+-=\\\\\\.&]*)'}, 'deprecated': {'type': 'bool', 'position': 0, 'description': 'A boolean flag indicating if the MITRE category is deprecated '}}}}], 'responses': {'200': {'description': 'successful operation', 'schema': {'required': ['data'], 'properties': {'responseCode': {'type': 'int', 'description': 'Status code returned from API'}, 'limit': {'type': 'int', 'description': 'Maximum number of returned results'}, 'offset': {'type': 'int', 'description': 'Number of skipped results'}, 'count': {'type': 'int', 'description': 'Number of available results on server'}, 'size': {'type': 'int', 'description': 'Actual number of returned results'}, 'metaData': {'type': 'dict', 'description': 'Additional unstructured meta data associated with response'}, 'messages': {'type': 'list', 'description': 'Contains messages returned from the API, usually error messages', 'items': {'type': 'dict', 'properties': {'message': {'type': 'string'}, 'messageTemplate': {'type': 'string'}, 'type': 'str', 'field': {'type': 'string'}, 'parameter': {'type': 'object'}, 'timestamp': {'type': 'int'}, 'options': ['FIELD_ERROR', 'ACTION_ERROR', 'WARNING', 'NOTIFICATION', 'INFO']}}}, 'data': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}, 'type': 'str', 'model': {'type': 'str', 'position': 0, 'description': 'Enumerated threat model of the MITRE category ', 'enum': ['capec', 'enterprise', 'ics', 'mobile', 'preAttack']}, 'url': {'type': 'str', 'position': 0, 'description': 'URL of the external MITRE category page '}, 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the MITRE category ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deprecated', 'deleted']}}, 'relationships': {'type': 'list', 'position': 0, 'description': 'Relationships that this MITRE category is participating in ', 'items': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the relationship between MITRE categories '}, 'sourceCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'targetCategory': {'type': 'dict', 'properties': {'id': {'type': 'str', 'position': 0, 'description': 'ID of the response object. '}, 'externalId': {'type': 'str', 'position': 0, 'description': 'External ID of the MITRE category '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Short name of the MITRE category '}, 'name': {'type': 'str', 'position': 0, 'description': 'Detailed name of the MITRE category '}, 'version': {'type': 'str', 'position': 0, 'description': 'Version of the MITRE category '}}}, 'type': 'str', 'flags': {'type': 'list', 'position': 0, 'description': 'Enumerated flags reflecting the state of the relationship between MITRE categories ', 'uniqueItems': True, 'items': {'type': 'str', 'enum': ['deleted']}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the relationship between MITRE categories deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['subtechniqueOf', 'revokedBy']}}}, 'createdTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category created '}, 'createdByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'lastUpdatedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category updated '}, 'lastUpdatedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'deletedTimestamp': {'type': 'int', 'position': 0, 'description': 'When was the MITRE category deleted '}, 'deletedByUser': {'type': 'dict', 'properties': {'type': 'str', 'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'shortName': {'type': 'str', 'position': 0, 'description': "The subject's short name "}, 'name': {'type': 'str', 'position': 0, 'description': "The subject's name "}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}, 'customer': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the customer. '}, 'shortName': {'type': 'str', 'position': 0, 'description': 'Shortname of the customer. '}, 'domain': {'type': 'dict', 'properties': {'id': {'type': 'int', 'position': 0, 'description': 'ID of the response object. '}, 'name': {'type': 'str', 'position': 0, 'description': 'Name of the domain. '}}}}}, 'options': ['user', 'group']}}, 'options': ['tactic', 'technique', 'subtechnique', 'mitigation', 'threatActor', 'malware', 'tool']}}}}}, '401': {'description': 'Authentication failed'}, '403': {'description': 'Access denied'}, '404': {'description': 'Object not found'}, '412': {'description': 'Validation error'}}}